Loading...
Searching...
No Matches
field_rdof_unary< UnaryFunction, FieldRdof >

## Detailed Description

template<class UnaryFunction, class FieldRdof>
class rheolef::details::field_rdof_unary< UnaryFunction, FieldRdof >

Definition at line 93 of file field_rdof_node.h.

Inheritance diagram for field_rdof_unary< UnaryFunction, FieldRdof >:

## Public Types

using | self_type = field_rdof_unary< UnaryFunction, FieldRdof >
using | base = field_rdof_base< self_type >
using | size_type = typename FieldRdof::size_type
using | scalar_type = typename FieldRdof::scalar_type
using | memory_type = typename FieldRdof::memory_type
using | float_type = typename float_traits< scalar_type >::type
using | geo_type = geo_basic< float_type, memory_type >
using | space_type = space_basic< float_type, memory_type >
using | const_iterator = field_rdof_unary_iterator< UnaryFunction, typename FieldRdof::const_iterator >
Public Types inherited from field_rdof_base< field_rdof_unary< UnaryFunction, FieldRdof > >
using | size_type = typename field_traits< field_rdof_unary< UnaryFunction, FieldRdof > >::size_type
using | scalar_type = typename field_traits< field_rdof_unary< UnaryFunction, FieldRdof > >::scalar_type
using | memory_type = typename field_traits< field_rdof_unary< UnaryFunction, FieldRdof > >::memory_type
using | float_type = typename float_traits< scalar_type >::type
using | geo_type = geo_basic< float_type, memory_type >
using | space_type = space_basic< float_type, memory_type >

## Public Member Functions

| field_rdof_unary (const UnaryFunction &f, const FieldRdof &expr)
const space_type & | get_space () const
const_iterator | begin_dof () const
const_iterator | end_dof () const
Public Member Functions inherited from field_rdof_base< field_rdof_unary< UnaryFunction, FieldRdof > >
field_rdof_indirect_const< field_rdof_unary< UnaryFunction, FieldRdof > > | operator[] (const std::string &dom_name) const
field_rdof_indirect_const< field_rdof_unary< UnaryFunction, FieldRdof > > | operator[] (const geo_type &dom) const
field_rdof_sliced_const< field_rdof_unary< UnaryFunction, FieldRdof > > | operator[] (size_type i_comp) const
field_rdof_sliced_const< field_rdof_unary< UnaryFunction, FieldRdof > > | operator() (size_type i_comp, size_type j_comp) const
bool | have_homogeneous_space (space_type &Xh) const

## Protected Types

using | field_rdof = typename field_wdof2rdof_traits< FieldRdof >::type

## Protected Attributes

UnaryFunction | _f
field_rdof | _expr

## Additional Inherited Members

Protected Member Functions inherited from field_rdof_base< field_rdof_unary< UnaryFunction, FieldRdof > >
field_rdof_unary< UnaryFunction, FieldRdof > & | derived ()
const field_rdof_unary< UnaryFunction, FieldRdof > & | derived () const

## Member Typedef Documentation

## self_type

template<class UnaryFunction , class FieldRdof >

using self_type = field_rdof_unary<UnaryFunction,FieldRdof>

Definition at line 97 of file field_rdof_node.h.

## base

template<class UnaryFunction , class FieldRdof >

using base = field_rdof_base<self_type>

Definition at line 98 of file field_rdof_node.h.

## size_type

template<class UnaryFunction , class FieldRdof >

using size_type = typename FieldRdof::size_type

Definition at line 99 of file field_rdof_node.h.

## scalar_type

template<class UnaryFunction , class FieldRdof >

using scalar_type = typename FieldRdof::scalar_type

Definition at line 100 of file field_rdof_node.h.

## memory_type

template<class UnaryFunction , class FieldRdof >

using memory_type = typename FieldRdof::memory_type

Definition at line 101 of file field_rdof_node.h.

## float_type

template<class UnaryFunction , class FieldRdof >

using float_type = typename float_traits<scalar_type>::type

Definition at line 102 of file field_rdof_node.h.

## geo_type

template<class UnaryFunction , class FieldRdof >

using geo_type = geo_basic<float_type,memory_type>

Definition at line 103 of file field_rdof_node.h.

## space_type

template<class UnaryFunction , class FieldRdof >

using space_type = space_basic<float_type,memory_type>

Definition at line 104 of file field_rdof_node.h.

## const_iterator

template<class UnaryFunction , class FieldRdof >

using const_iterator = field_rdof_unary_iterator<UnaryFunction,typename FieldRdof::const_iterator>

Definition at line 105 of file field_rdof_node.h.

## field_rdof

template<class UnaryFunction , class FieldRdof >

using field_rdof = typename field_wdof2rdof_traits<FieldRdof>::type

protected

Definition at line 122 of file field_rdof_node.h.

## Constructor & Destructor Documentation

## field_rdof_unary()

template<class UnaryFunction , class FieldRdof >

field_rdof_unary | ( | const UnaryFunction & | f,
|  | const FieldRdof & | expr
| ) |  |

Definition at line 109 of file field_rdof_node.h.

## Member Function Documentation

## get_space()

template<class UnaryFunction , class FieldRdof >

const space_type & get_space | ( |  | ) | const

Definition at line 117 of file field_rdof_node.h.

## begin_dof()

template<class UnaryFunction , class FieldRdof >

const_iterator begin_dof | ( |  | ) | const

Definition at line 118 of file field_rdof_node.h.

## end_dof()

template<class UnaryFunction , class FieldRdof >

const_iterator end_dof | ( |  | ) | const

Definition at line 119 of file field_rdof_node.h.

## Member Data Documentation

## _f

template<class UnaryFunction , class FieldRdof >

UnaryFunction _f

protected

Definition at line 123 of file field_rdof_node.h.

## _expr

template<class UnaryFunction , class FieldRdof >

field_rdof _expr

protected

Definition at line 124 of file field_rdof_node.h.

The documentation for this class was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/field_rdof_node.h